サイト運営の備忘録

「wp-block-library」以下のCSSを読み込ませない

2020年6月1日

WordPress5から「wp-block-library」以下のGutenberg(グーテンベルク)用のCSSが自動的に読み込まれるようになっていますが、不要であったため読み込ませないように変更。

Gutenberg(グーテンベルク)は、ブロック機能と呼ばれるHTMLがわからなくても、簡単にリッチなページを作成できるエディタで、ブロックエディターとも呼ばれているそうです。

function.phpに以下を追加。

function remove_block_library_style(){
	wp_dequeue_style('wp-block-library');
}
add_action( 'wp_enqueue_scripts', 'remove_block_library_style' );
wordpress関連の他の記事